require(["jquery"], function($) {
	$(function() {
		var tabletBreak = 768;
        var desktopBreak = 1200;
		initResizable();
		$(window).resize(function() {
			initResizable();
		});
		
		$(function () {
		changeTitle();
		function changeTitle() {
			let activeTitle = $("#account-nav .current a").html()
			? $("#account-nav .current strong")
			: $("#account-nav .current");
			$(".account-nav-title").html(activeTitle.html() || "My Account");
		}
		});

		function initResizable() {
			if ($(window).width() < desktopBreak) {
				if ($(".sidebar-main .sidebar-menu__wrapper").length > 0) {
					$(".sidebar-menu__wrapper")
						.detach()
						.prependTo("#faq-menu-mobile");
				}
			} else {
				if ($("#faq-menu-mobile .sidebar-menu__wrapper").length > 0) {
					$(".sidebar-menu__wrapper")
						.detach()
						.appendTo(".sidebar-main");
				}
			}
			if ($(window).width() < tabletBreak) {
				if ($(".toolbar__wrapper .toolbar-amount").length > 0) {
					$("#toolbar-amount")
						.detach()
						.prependTo(".products.wrapper.grid");
				}
			} else {
				if ($(".products.wrapper.grid .toolbar-amount").length > 0) {
					$("#toolbar-amount")
						.detach()
						.insertAfter(".toolbar__wrapper .modes");
				}
			}

			if ($(window).width() < desktopBreak) {
				//Tablet and below
				if ($(".sidebar-main .account-nav").length > 0) {
					$(".account-nav")
						.detach()
						.prependTo("#account-menu-mobile");
				}
			} else {
				//Desktop
					if ($("#account-menu-mobile .account-nav").length > 0) {

					$(".account-nav")
						.detach()
						.appendTo(".sidebar-main");
				}
			}
		}
	});
});
